Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.workflow
Class Job

    java.lang.Object
      lbg.peer.workflow.Job

All Implemented Interfaces:
  java.lang.Comparable<Job>

    public class Job

extends java.lang.Object
implements java.lang.Comparable<Job>

Author:
  Cyril Briquet

Constructor Summary
`Job(int id, java.lang.String owner_peer_id, long submission_time, BoT tasks_root)` Creates a new Supplying Job.
`Job(int id, java.lang.String owner_peer_id, UserHandle uh, long submission_time, BoT tasks_root)` Creates a new Local Job.

Method Summary
`int` | `compareTo(Job other)`
`JobConsumptionDataTracker` | `consumptionDataTracker()`
`JobConsumptionOutcomeTracker` | `consumptionOutcomeTracker()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`int` | `id()`
`java.lang.Integer` | `idAsKey()`
`java.lang.String` | `ownerID()`
`BoT` | `root()`
`long` | `submissionTime()`
`java.lang.String` | `toString()`
`UserHandle` | `user()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Job

    public Job(int id,
               java.lang.String owner_peer_id,
               UserHandle uh,
               long submission_time,
               BoT tasks_root)
        throws GridException

  Creates a new Local Job.

  Throws:
    `GridException`

### Job

    public Job(int id,
               java.lang.String owner_peer_id,
               long submission_time,
               BoT tasks_root)
        throws GridException

  Creates a new Supplying Job.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(Job other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Job>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### id

    public int id()

### idAsKey

    public java.lang.Integer idAsKey()

### ownerID

    public java.lang.String ownerID()

### user

    public UserHandle user()
                    throws GridException

  Throws:
    `GridException`

### root

    public BoT root()

### submissionTime

    public long submissionTime()

### consumptionOutcomeTracker

    public JobConsumptionOutcomeTracker consumptionOutcomeTracker()
                                                           throws GridException

  Throws:
    `GridException`

### consumptionDataTracker

    public JobConsumptionDataTracker consumptionDataTracker()
                                                     throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.